Right now, if -r is passed to tg, an ugly shift error occurs. This patch
checks for that case and outputs the help message if it occurs.
Signed-off-by: martin f. krafft <redacted>
---
tg.sh | 8 +++++++-
1 files changed, 7 insertions(+), 1 deletions(-)
diff --git a/tg.sh b/tg.sh
index 4dcc15e..a5dc0a7 100644
--- a/tg.sh
+++ b/tg.sh
@@ -261,7 +261,13 @@ setup_hook "pre-commit"
[ -z "$tg__include" ] || return 0
if [ "$1" = "-r" ]; then
- shift; base_remote="$1"; shift
+ shift
+ if [ -z "$1" ]; then
+ echo "Option -r requires an argument." >&2
+ do_help
+ exit 1
+ fi
+ base_remote="$1"; shift
tg="$tg -r $base_remote"
fi
--
tg: (f17218e..) fixes/tg--r-require-arg (depends on: upstream)